> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/set-rdmprivilegedaccount.md).

# Set-RDMPrivilegedAccount

### Sinopsis

Establecer la cuenta privilegiada de RDM.

### Sintaxis

#### UsernamePassword

```
Set-RDMPrivilegedAccount [[-Username] <string>] [[-Domain] <string>] [[-Password] <securestring>]
 [[-AlwaysAskPassword] <bool>] [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

#### FromPrivilegedAccount

```
Set-RDMPrivilegedAccount [[-Session] <PSConnection>] [-ForcePromptAnswer <DialogResult[]>]
 [<CommonParameters>]
```

### Descripción

Establecer la cuenta privilegiada de RDM. Establezca el tipo Username/Password directamente o modifique el resultado de Get-RDMPrivilegedAccount. Para modificar un miembro que empiece por Safe, establezca la propiedad sin el Safe. En Windows, la política DisableMyPrivilegedAccount impide utilizar este cmdlet.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $pwd = Read-Host -AsSecureString; Set-RDMPrivilegedAccount username domain $pwd
```

Establecer la cuenta privilegiada de RDM del tipo Username/Password.

#### Ejemplo 2

```powershell
PS C:\> $privAcc = Get-RDMPrivilegedAccount; $privAcc.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $privAcc.Credentials.SecretServerUsername = 'aPassword'; $privAcc.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPrivilegedAccount -Session $privAcc
```

Obtener la cuenta privilegiada. Modificar los valores de dominio, contraseña y nombre de usuario de Secret Server. Guardar las modificaciones. La modificación de la contraseña puede verse en el cambio de valor del campo SafeSecretServerPassword.

### Parámetros

#### -AlwaysAskPassword

Establece la opción Preguntar siempre la contraseña en la cuenta privilegiada

```yaml
Type: System.Nullable`1[System.Boolean]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 3
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Domain

Establece el dominio en la cuenta privilegiada

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Modificador que debe utilizarse con precaución. Responderá automáticamente a los mensajes que planteen preguntas de tipo sí/no, sí/no/cancelar u aceptar/cancelar. En caso de varios mensajes, se pueden pasar varios valores a este parámetro. Estos son los valores aceptados:

* Yes: acepta el mensaje. Cubre los valores OK y Automatic.
* No: rechaza el mensaje sí/no/cancelar. "Cancel" es la opción alternativa si no existe la opción "No".
* Cancel: cancela el mensaje sí/no/cancelar. "No" es la opción alternativa si no existe la opción "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Password

Establece la contraseña en la cuenta privilegiada

```yaml
Type: System.Security.SecureString
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Session

Las credenciales obtenidas de Get-RDMPrivilegedAccount.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSConnection
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: FromPrivilegedAccount
  Position: 0
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Username

Establece el nombre de usuario en la cuenta privilegiada

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UsernamePassword
  Position: 0
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notas

Para obtener más información, escriba "Get-Help Set-RDMPrivilegedAccount -detailed". Para obtener información técnica, escriba "Get-Help Set-RDMPrivilegedAccount -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/set-rdmprivilegedaccount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
